# vim: set sw=4 ts=4 et:
# Copyright (c) 2005-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:			vamp-match-plugin
Summary:		Vamp plugin implementation of the MATCH audio alignment algorithm
Group:			Productivity/Multimedia/Sound/Utilities
Version:		0.2.1
Release:		1699.6.pm.5
License: GPL-2.0
Source:         http://prdownloads.sourceforge.net/vamp/match-vamp-plugin-%{version}.tar.gz
Patch1:         vamp-match-plugin-fix_makefile.patch
Patch2:         vamp-match-plugin-cplusplus.patch
URL:			http://sourceforge.net/projects/vamp/
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	vamp-plugin-sdk-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-build

%description
This is a Vamp plugin implementation of the MATCH audio alignment
algorithm: http://www.elec.qmul.ac.uk/people/simond/match/index.html

%prep
%setup -q -n "match-vamp-plugin-%{version}"
%patch -P 1
%patch -P 2 -p1

%build
%__make %{?_smp_flags} \
    CXX="%__cxx" \
    OPTFLAGS="%{optflags} --std=gnu++11"

%install
%__install -dm 755 %{buildroot}%{_libdir}/vamp
%__install -m 644 match-vamp-plugin.so \
	%{buildroot}%{_libdir}/vamp
%__install -m 644 match-vamp-plugin.cat \
	%{buildroot}%{_libdir}/vamp

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/vamp
%{_libdir}/vamp/match-vamp-plugin.so
%{_libdir}/vamp/match-vamp-plugin.cat

%changelog
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- fix build by passing %%optflags as well as disabling static linking
* Mon Dec  8 2008 toni@links2linux.de
- update to 0.2.1
* Thu Feb 14 2008 toni@links2linux.de
- update to 0.2
* Fri Oct 19 2007 toni@links2linux.de
- initial version 0.1
